/**
 * Created by GShark on 19.09.2014.
 */
import java.util.ArrayList;
import java.util.Arrays;

import java.util.List;

import ru.ifmo.testlib.*;
import ru.ifmo.testlib.Outcome.Type;

public class Check implements Checker {

    @Override
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        String cAns = ouf.nextToken();
        String jAns = ans.nextToken();
        if (!ouf.seekEoF()) {
            return new Outcome(Type.WA, "to much tokens in answer");
        }
        if (!cAns.equals(jAns)) {
            return new Outcome(Type.WA, "");
        }
        if (cAns.equals(jAns)) {
            return new Outcome(Type.OK, "Jury has same answer");
        }
        return new Outcome(Type.FAIL, "");
    }
}
